#ifndef _IP_TABLES_STANDARD_H
#define _IP_TABLES_STANDARD_H
#include <linux/netfilter.h>

/* Standard return verdict, set or add mark action. */
#define IPT_STANDARD_ACTION ""
struct ipt_standard
{
	int verdict;		/* What to do with packet: position or 
				 * -(RESULT) - 1. */
	u_int32_t mark;		/* ID to stamp on packet iff non-zero */
	u_int32_t padding[2];	/* 16 bytes gives more room for others. */
};

/* Error verdict. */
#define IPT_STANDARD_ERROR "ERROR"
typedef char ipt_errorlabel[sizeof(struct ipt_standard)];

#endif
